Package org.eclipse.swt.events

# Interface MenuListener

All Known Implementing Classes:
  `MenuAdapter`

public interface MenuListener
Classes which implement this interface provide methods that deal with the hiding and showing of menus.

After creating an instance of a class that implements this interface it can be added to a menu using the `addMenuListener` method and removed using the `removeMenuListener` method. When the menu is hidden or shown, the appropriate method will be invoked.

See Also:
  - `MenuAdapter`
  - `MenuEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`menuHidden(MenuEvent e)`
Sent when a menu is hidden.
`void`
`menuShown(MenuEvent e)`
Sent when a menu is shown.

## Method Details

### menuHidden

void menuHidden(MenuEvent e)
Sent when a menu is hidden.

Parameters:
  `e` - an event containing information about the menu operation

### menuShown

void menuShown(MenuEvent e)
Sent when a menu is shown.

Parameters:
  `e` - an event containing information about the menu operation